Create virtual account
You can use this endpoint to create a virtual account to receive payments.
Authorizations
Nomba authenticates API calls with OAuth2 HTTP bearer tokens. There are two methods of authentication; Client-Credentials method and PKCE (Proof Key for Code Exchange) method. Both methods return an access token. Send it in the Authorization header: Authorization: Bearer <access_token>.
Headers
The parent accountId of the business.
"890022ce-bae0-45c1-9b9d-ee7872e6ca27"
Body
The request payload required to create an account
Account reference
16 - 64"1oWbJQQHLyQqqf1SwxjSpudeA21"
Account holder's name
8 - 64"Daniel Scorsese"
Account holder's BVN. Optional.
"12345678"
Account holder's National Identification Number (NIN). Optional.
Must be exactly 11 digits. Can be sent on its own or alongside bvn. If neither is sent, the BVN on the parent business account is used.
11^\d{11}$"12345678901"
Account expiry date in UTC. Optional. β οΈBe careful with this.
"2026-01-30 12:15:00"
Amount the account can receive. Optional.
"200.00"
When set to true, Nomba will reject any inflow to the virtual account whose sender name does not match the virtual account name. The order of names does not matterβfor example, a VA name of 'John Doe Naomi' would match sender names like 'Doe John Naomi' or 'Naomi Doe John', since different banks may arrange names differently. A payment_failed webhook event is sent to notify the merchant that the inflow was rejected. The rejected inflow is reversed back to the sender according to the sending bank's policy. Optional.
true
URL to receive payment_success and payment_failed webhook events for inflows into this virtual account. Optional.
"https://merchant.example.com/webhooks/nomba"